# Class JoinChannelResult | EchoHub Documentation

# Class JoinChannelResult

Namespace
  EchoHub.Core.DTOs

Assembly
  EchoHub.Core.dll

    public record JoinChannelResult : IEquatable<JoinChannelResult>

Inheritance
  object
  JoinChannelResult

Implements
  IEquatable<JoinChannelResult>

Inherited Members
  object.GetType()
  object.MemberwiseClone()
  object.Equals(object, object)
  object.ReferenceEquals(object, object)

## Constructors

### JoinChannelResult(JoinChannelResult)

    protected JoinChannelResult(JoinChannelResult original)

#### Parameters

`original` JoinChannelResult

### JoinChannelResult(bool, List<MessageDto>, string?, bool, string?, string?)

    public JoinChannelResult(bool Success, List<MessageDto> History, string? Error = null, bool PasswordRequired = false, string? EncryptionSalt = null, string? WrappedRoomKey = null)

#### Parameters

`Success` bool
`History` List<MessageDto>
`Error` string
`PasswordRequired` bool
`EncryptionSalt` string
`WrappedRoomKey` string

## Properties

### EncryptionSalt

    public string? EncryptionSalt { get; init; }

#### Property Value

string

### EqualityContract

    protected virtual Type EqualityContract { get; }

#### Property Value

Type

### Error

    public string? Error { get; init; }

#### Property Value

string

### History

    public List<MessageDto> History { get; init; }

#### Property Value

List<MessageDto>

### PasswordRequired

    public bool PasswordRequired { get; init; }

#### Property Value

bool

### Success

    public bool Success { get; init; }

#### Property Value

bool

### WrappedRoomKey

    public string? WrappedRoomKey { get; init; }

#### Property Value

string

## Methods

### Deconstruct(out bool, out List<MessageDto>, out string?, out bool, out string?, out string?)

    public void Deconstruct(out bool Success, out List<MessageDto> History, out string? Error, out bool PasswordRequired, out string? EncryptionSalt, out string? WrappedRoomKey)

#### Parameters

`Success` bool
`History` List<MessageDto>
`Error` string
`PasswordRequired` bool
`EncryptionSalt` string
`WrappedRoomKey` string

### Equals(JoinChannelResult?)

    public virtual bool Equals(JoinChannelResult? other)

#### Parameters

`other` JoinChannelResult

#### Returns

bool

### Equals(object?)

    public override bool Equals(object? obj)

#### Parameters

`obj` object

#### Returns

bool

### GetHashCode()

    public override int GetHashCode()

#### Returns

int

### PrintMembers(StringBuilder)

    protected virtual bool PrintMembers(StringBuilder builder)

#### Parameters

`builder` StringBuilder

#### Returns

bool

### ToString()

    public override string ToString()

#### Returns

string

## Operators

### operator ==(JoinChannelResult?, JoinChannelResult?)

    public static bool operator ==(JoinChannelResult? left, JoinChannelResult? right)

#### Parameters

`left` JoinChannelResult
`right` JoinChannelResult

#### Returns

bool

### operator !=(JoinChannelResult?, JoinChannelResult?)

    public static bool operator !=(JoinChannelResult? left, JoinChannelResult? right)

#### Parameters

`left` JoinChannelResult
`right` JoinChannelResult

#### Returns

bool